dpkg-statoverride(1)

BEZEICHNUNG
dpkg-statoverride - über Eigentümerschaft und Modus von Dateien hinwegsetzen

ÜBERSICHT
dpkg-statoverride [Option …] Befehl

BESCHREIBUNG
„Stat-Hinwegsetzungen“ sind eine Möglichkeit, dpkg(1) mitzuteilen, einen anderen Eigentümer oder Modus für einen Pfad zu verwenden, wenn ein Paket installiert wird (dies kann jedes Dateisystemobjekt sein, das dpkg handhabt, darunter Verzeichnisse, Geräte, usw.). Dies kann dazu verwendet werden, Programme, die normalerweise setuid sind, dazu zu zwingen, ohne setuid-Markierung zu installieren, oder nur von einer bestimmten Gruppe ausführbar zu sein.

dpkg-statoverride ist ein Hilfswerkzeug, um die Liste der Status-Hinwegsetzungen zu verwalten. Es hat drei grundlegende Funktionen: Hinzufügen, Entfernen und Auflisten von Hinwegsetzungen.

BEFEHLE

--add Benutzer Gruppe Modus Pfad
    Fügt eine Hinwegsetzung für Pfad hinzu. Pfad muss noch nicht existieren oder dpkg bekannt sein, wenn dieser Befehl verwendet wird; die Hinwegsetzung wird aufbewahrt und später verwendet. Benutzer und Gruppen können über ihren Namen (beispielsweise root oder nobody) spezifiziert werden, oder über ihre Nummer mit vorangestelltem ‚#’ (beispielsweise #0 oder #65534). Der Modus muss oktal angegeben werden.

    Falls --update angegeben ist und Pfad existiert, dann wird dieser sofort auf den neuen Eigentümer und Modus eingestellt.

--remove Pfad
    Entfernt eine Hinwegsetzung für Pfad, der Status von Pfad bleibt durch diesen Befehl unverändert.

--list [Glob-Muster]
    Listet alle Hinwegsetzungen auf. Falls ein Glob-Muster spezifiziert wurde, begrenzt die Ausgabe auf Hinwegsetzungen, die auf den Glob passen.

--help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--force-help
    Gibt Hilfe zu den Optionen --force-Sache aus (seit Dpkg 1.19.5).

--version
    Gibt die Version aus und beendet das Programm.

OPTIONEN

--admindir Verzeichnis
    Setzt das administrative Verzeichnis auf Verzeichnis. Hier wird auch die Datei statoverride gelagert. Standardmäßig „/var/lib/dpkg“, falls DPKG_ADMINDIR nicht gesetzt wurde.

--instdir Verzeichnis
    Setzt das Installationsverzeichnis, das sich auf das Verzeichnis bezieht, in dem Pakete installiert werden (seit Dpkg 1.19.2). Standardmäßig „/“, falls DPKG_ROOT nicht gesetzt wurde.

--root Verzeichnis
    Setzt das Wurzelverzeichnis auf Verzeichnis, wodurch das Installationsverzeichnis auf „Verzeichnis“ und das administrative Verzeichnis auf „Verzeichnis/var/lib/dpkg“ gesetzt wird (seit Dpkg 1.19.2), falls DPKG_ROOT nicht gesetzt wurde.

--force-Sachen
--no-force-Sachen, --refuse-Sachen
    Erzwingt oder verweigert (no-force und refuse bedeuten das gleiche) bestimmte Sachen (seit Dpkg 1.19.5). Sachen ist eine Kommata-getrennte Liste von Dingen, die im Folgenden beschrieben sind. --force-help zeigt eine Meldung an, die diese beschreibt. Mit (*) markierte Dinge werden standardmäßig erzwungen.

    Warnung: Diese Optionen sind hauptsächlich für den Einsatz durch Experten gedacht. Der Einsatz ohne komplettes Verständnis der Auswirkungen kann Ihr gesamtes System zerstören.

    all: Schaltet alle „force“-Optionen ein (oder aus).

    statoverride-add: Überschreibt eine existierende Status-Hinwegsetzung beim Hinzufügen (seit Dpkg 1.19.5).

    statoverride-remove: Ignoriert eine fehlende Status-Hinwegsetzung beim Entfernen (seit Dpkg 1.19.5).

    security-mac(*): Verwendet plattformspezifische „Mandatory Access Control (MAC)“-basierende Sicherheit bei der Installation von Dateien in das Dateisystem (seit Dpkg 1.19.5). Auf Linux-Systemen verwendet die Implementierung SELinux.

    not-root: Versucht Sachen zu (de)installieren, selbst falls nicht root (seit Dpkg 1.21.8).

--force
    Erzwingt eine Aktion, selbst wenn eine Plausibilitätsüberprüfung diese normalerweise verböte. Dies ist notwendig, um sich über eine existierende Hinwegsetzung hinwegzusetzen. Diese Option ist (seit Dpkg 1.19.5) veraltet. Sie wurde durch --force-all ersetzt.

--update
    Versucht den Pfad sofort auf den neuen Eigentümer und neuen Modus zu ändern, falls er existiert.

--quiet
    Gibt weniger ausführliche Meldungen über das aus, was geschieht.

RÜCKGABEWERT

0   Die angeforderte Aktion wurde erfolgreich ausgeführt.

1   Für --list, falls es keine Hinwegsetzungen gab oder keine auf die angegebenen Metazeichen passte.

2   Fataler oder nicht behebbarer Fehler aufgrund eines ungültigen Befehlszeilenaufrufs oder Interaktionen mit dem System, wie Zugriffe auf die Datenbank, Speicherzuweisungen usw.

UMGEBUNG

DPKG_ROOT
    Falls gesetzt und die Option --instdir oder --root nicht angegeben wurde, wird dies als Dateisystemwurzelverzeichnis verwandt (seit Dpkg 1.19.2).

DPKG_ADMINDIR
    Falls gesetzt und die Option --admindir oder --root nicht verwandt wurde, wird dies als Datenverzeichnis von dpkg verwandt.

DPKG_DEBUG
    Setzt die Fehlersuchmaske (seit Dpkg 1.21.10) aus einem oktalen Wert. Die derzeit akzeptierten Schalter werden in der Option dpkg --debug beschrieben, aber nicht alle dieser Schalter könnten Auswirkungen auf dieses Programm haben.

DPKG_FORCE
    Falls gesetzt und keine der Optionen --force-… festgelegt wurde, wird sie als die zu verwendenden Erzwingungsoptionen verwandt (seit Dpkg 1.19.5).

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DATEIEN

/var/lib/dpkg/statoverride
    Datei, die die aktuelle Liste der Hinwegsetzungen auf dem System enthält. Sie befindet sich im pkg-Administrationsverzeichnis, zusammen mit anderen für dpkg wichtigen Dateien, wie status oder available.

    Hinweis: dpkg-statoverride erhält die alte Kopie dieser Datei mit der Endung „-old“, bevor es sie durch eine neue ersetzt.

SIEHE AUCH
dpkg(1).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.